API keys
Get all API keys
Lists all API keys your account has access to.
GET
/
v1
/
api_keys
cURL
curl --request GET \
--url https://api.baseten.co/v1/api_keys \
--header "Authorization: Bearer $BASETEN_API_KEY"import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/api_keys"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"GET",
url,
headers=headers,
json={}
)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.baseten.co/v1/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "my-api-key",
"type": "PERSONAL"
}
{
"name": "my-api-key",
"type": "PERSONAL"
}
Was this page helpful?
Previous
Create an API keyCreates an API key with the provided name and type. The API key is returned in the response.
Next
⌘I
cURL
